org.eclipse.rdf4j.http.client

## Class SesameClientImpl

- java.lang.Object
- - org.eclipse.rdf4j.http.client.SharedHttpClientSessionManager
  - - org.eclipse.rdf4j.http.client.SesameClientImpl

- All Implemented Interfaces:
    HttpClientDependent, HttpClientSessionManager, SesameClient

  Deprecated.
  use `SharedHttpClientSessionManager` instead

      @Deprecated
      public class SesameClientImpl
      extends SharedHttpClientSessionManager

  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.http.client.SharedHttpClientSessionManager

      `CORE_POOL_SIZE_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SesameClientImpl()` Deprecated. use `SharedHttpClientSessionManager` instead.
    `SesameClientImpl(org.apache.http.impl.client.CloseableHttpClient dependentClient, ScheduledExecutorService dependentExecutorService)` Deprecated. use `SharedHttpClientSessionManager` instead.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.http.client.SharedHttpClientSessionManager

      `createRDF4JProtocolSession, createSPARQLProtocolSession, getExecutorService, getHttpClient, initialize, setHttpClient, setHttpClientBuilder, shutDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.http.client.SesameClient

      `createSesameSession, createSparqlSession`

- - ### Constructor Detail

    - #### SesameClientImpl

          @Deprecated
          public SesameClientImpl()

      Deprecated. use `SharedHttpClientSessionManager` instead.

    - #### SesameClientImpl

          @Deprecated
          public SesameClientImpl(org.apache.http.impl.client.CloseableHttpClient dependentClient,
                                              ScheduledExecutorService dependentExecutorService)

      Deprecated. use `SharedHttpClientSessionManager` instead.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.